INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_LOAD','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T load -w 80 -c 90',300000,'Récupère la charge CPU utilisée. Fonctionne sous windows','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_LOAD'),'GAUGE','#load\s+([0-9]*\.[0-9]*)\%#',300,DEFAULT,'cpu',0,100,'percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

---------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_MEM','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T mem -w 80 -c 90',300000,'check de la mémoire RAM pour les machines Windows','false',7,NULL,'Microsoft','MEMORY,RAM');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_MEM'),'GAUGE','#\:\s+([0-9]*)\%used#',300,DEFAULT,'ram',0,100,'percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

---------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_STORAGE','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T storage -m "^C:" -w 80 -c 90',300000,'Récupère l''espace disque disponible/ utilisé pour un système windows','false',7,NULL,'Microsoft',NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),'GAUGE','#\:\s+([0-9]*)\%used#',300,DEFAULT,'hdd',0,100,'percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

---------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_UPTIME','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T uptime -w 14400 -c 60',300000,'This plugin returns uptime of a system in text (readable) format as well as in minutes.

Parameters :
-H HOST IP or NAME
-w & -c warning or critical values in minutes','false',7,NULL,NULL,NULL);

-------------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_TIME','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T time -w 2 -c 20',86400000,'Test l''écart de temp entre le système de monitoring et le serveur.
 ','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_TIME.php');

---------------------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_INTERFACE','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T interface -s auto -m "ethernet" -w 80 -c 90',300000,NULL,'false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_INTERFACE_EASY.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#data:in=([0-9\.\,]*)#',300,DEFAULT,'in',0,-1,'bps','LINE1','#007FFF',NULL,NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#data:out=([0-9\.\,]*)#',300,DEFAULT,'out',0,-1,'bps','AREA','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inErrors\:([0-9]*)#',300,DEFAULT,'in_errors',0,-1,'packet/s','LINE1','#FF0000',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outErrors\:([0-9]*)#',300,DEFAULT,'out_errors',0,-1,'packet/s','LINE1','#B80101',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outBroadcast\:([0-9]*)#',300,DEFAULT,'out_broadcast',0,-1,'bps','LINE1','#0054A8',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inUnicast\:([0-9]*)#',300,DEFAULT,'in_unicast',0,-1,'bps','LINE1','#A5DF00',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outUnicast\:([0-9]*)#',300,DEFAULT,'out_unicast',0,-1,'bps','LINE1','#088A29',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inBroadcast\:([0-9]*)#',300,DEFAULT,'in_broadcast',0,-1,'bps','LINE1','#58ACFA',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#outMulticast\:([0-9]*)#',300,DEFAULT,'outMulticast',0,-1,'bps','LINE1','#336666',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),'GAUGE','#inMulticast\:([0-9]*)#',300,DEFAULT,'inMulticast',0,-1,'bps','LINE1','#00CCCC',NULL,2,NULL);

---------------------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_IO','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T iodisk -m "^_total" -w 80 -c 90',300000,'Test via SNMP les IO disque d''un serveur Linux','false',3,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_IO.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),'GAUGE','#percent=([0-9\.]*)#',300,DEFAULT,'usage',0,100,'percent','AREA','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),'GAUGE','#read=([0-9\.]*)#',300,DEFAULT,'read',0,-1,'Bytes/s','LINE1','#58ACFA',NULL,2,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),'GAUGE','#write=([0-9\.]*)#',300,DEFAULT,'write',0,-1,'Bytes/s','LINE1','#0054A8',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),'GAUGE','#readQueue=([0-9\.]*)#',300,DEFAULT,'readQueue',0,-1,'Length','LINE1','#00CCCC',NULL,3,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),'GAUGE','#writeQueue=([0-9\.]*)#',300,DEFAULT,'writeQueue',0,-1,'Length','LINE1','#336666',NULL,3,NULL);

--------------------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_SERVICE','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T service -o Running -c stopped,paused -w pending -m "<service>"',300000,'Récupére le status d''un service. Fonctionne sous Windows.',7,NULL,NULL,NULL);

--------------------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_SMARTCTL','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T smartctl',300000,'Récupére le status smartctl des disques',7,NULL,NULL,NULL);

----------------------------------------------------------------

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_TASK','/usr/local/esia/plugins/check_pwsh.php','default',NULL,'-H $IP -A $AUTH_FILE_PASSWORD -T scheduled_task -m "<service> -C"',300000,'Récupére le status d''une tâche planifiée',7,NULL,NULL,NULL);
